/**
 * 
 */
package edu.wisc.uwss.sample.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.support.PropertySourcesPlaceholderConfigurer;

/**
 * 
 * @author Nicholas Blair
 */
@Configuration
public class ApplicationConfiguration {

  /**
   * This bean is required for {@link Value} annotations to be able to accept placeholders.
   * 
   * @return a {@link PropertySourcesPlaceholderConfigurer}
   */
  @Bean
  public static PropertySourcesPlaceholderConfigurer propertyPlaceholderConfigurer() {
      return new PropertySourcesPlaceholderConfigurer();
  }
}
